--- ./templates/defaultfilters/datetime.cpp.orig	2012-02-24 23:55:15.000000000 +0100
+++ ./templates/defaultfilters/datetime.cpp	2012-02-24 23:55:15.000000000 +0100
@@ -20,7 +20,7 @@
 
 #include "datetime.h"
 
-#include "util.h"
+#include "../lib/util.h"
 
 #include <QtCore/QDateTime>
 
--- ./templates/defaultfilters/integers.cpp.orig	2012-02-24 23:55:15.000000000 +0100
+++ ./templates/defaultfilters/integers.cpp	2012-02-24 23:55:15.000000000 +0100
@@ -20,7 +20,7 @@
 
 #include "integers.h"
 
-#include "util.h"
+#include "../lib/util.h"
 
 QVariant AddFilter::doFilter( const QVariant& input, const QVariant &argument, bool autoescape ) const
 {
--- ./templates/defaultfilters/lists.cpp.orig	2012-12-14 14:28:14.000000000 -0600
+++ ./templates/defaultfilters/lists.cpp	2012-12-14 14:28:56.000000000 -0600
@@ -21,7 +21,7 @@
 #include "lists.h"
 
 #include "metatype.h"
-#include "util.h"
+#include "../lib/util.h"
 #include "variable.h"
 
 #include <QtCore/QDateTime>
--- ./templates/defaultfilters/logic.cpp.orig	2012-02-24 23:55:15.000000000 +0100
+++ ./templates/defaultfilters/logic.cpp	2012-02-24 23:55:15.000000000 +0100
@@ -20,7 +20,7 @@
 
 #include "logic.h"
 
-#include "util.h"
+#include "../lib/util.h"
 
 QVariant DefaultFilter::doFilter( const QVariant& input, const QVariant &argument, bool autoescape ) const
 {
--- ./templates/defaultfilters/stringfilters.cpp.orig	2012-02-24 23:55:15.000000000 +0100
+++ ./templates/defaultfilters/stringfilters.cpp	2012-02-24 23:55:15.000000000 +0100
@@ -20,7 +20,7 @@
 
 #include "stringfilters.h"
 
-#include "util.h"
+#include "../lib/util.h"
 
 #include <QtCore/QVariant>
 
--- ./templates/defaulttags/autoescape.cpp.orig	2012-02-24 23:55:15.000000000 +0100
+++ ./templates/defaulttags/autoescape.cpp	2012-02-24 23:55:15.000000000 +0100
@@ -23,7 +23,7 @@
 #include "exception.h"
 #include "parser.h"
 #include "template.h"
-#include "util.h"
+#include "../lib/util.h"
 
 #include <QtCore/QFile>
 
--- ./templates/defaulttags/cycle.cpp.orig	2012-02-24 23:55:15.000000000 +0100
+++ ./templates/defaulttags/cycle.cpp	2012-02-24 23:55:15.000000000 +0100
@@ -23,7 +23,7 @@
 #include "../lib/exception.h"
 #include "parser.h"
 #include "rendercontext.h"
-#include "util.h"
+#include "../lib/util.h"
 
 static const char _namedCycleNodes[] = "_namedCycleNodes";
 
--- ./templates/defaulttags/filtertag.cpp.orig	2012-02-24 23:55:15.000000000 +0100
+++ ./templates/defaulttags/filtertag.cpp	2012-02-24 23:55:15.000000000 +0100
@@ -23,7 +23,7 @@
 #include "filterexpression.h"
 #include "../lib/exception.h"
 #include "parser.h"
-#include "util.h"
+#include "../lib/util.h"
 
 FilterNodeFactory::FilterNodeFactory()
 {
--- ./templates/defaulttags/firstof.cpp.orig	2012-02-24 23:55:15.000000000 +0100
+++ ./templates/defaulttags/firstof.cpp	2012-02-24 23:55:15.000000000 +0100
@@ -22,7 +22,7 @@
 
 #include "../lib/exception.h"
 #include "parser.h"
-#include "util.h"
+#include "../lib/util.h"
 
 
 FirstOfNodeFactory::FirstOfNodeFactory()
--- ./templates/defaulttags/ifequal.cpp.orig	2012-02-24 23:55:15.000000000 +0100
+++ ./templates/defaulttags/ifequal.cpp	2012-02-24 23:55:15.000000000 +0100
@@ -22,7 +22,7 @@
 
 #include "../lib/exception.h"
 #include "parser.h"
-#include "util.h"
+#include "../lib/util.h"
 
 
 IfEqualNodeFactory::IfEqualNodeFactory()
--- ./templates/defaulttags/mediafinder.cpp.orig	2012-02-24 23:55:15.000000000 +0100
+++ ./templates/defaulttags/mediafinder.cpp	2012-02-24 23:55:15.000000000 +0100
@@ -23,7 +23,7 @@
 #include "engine.h"
 #include "exception.h"
 #include "parser.h"
-#include "util.h"
+#include "../lib/util.h"
 
 #include <QtCore/QUrl>
 
--- ./templates/defaulttags/range.cpp.orig	2012-02-24 23:55:15.000000000 +0100
+++ ./templates/defaulttags/range.cpp	2012-02-24 23:55:15.000000000 +0100
@@ -23,7 +23,7 @@
 #include "engine.h"
 #include "exception.h"
 #include "parser.h"
-#include "util.h"
+#include "../lib/util.h"
 
 
 RangeNodeFactory::RangeNodeFactory()
--- ./templates/defaulttags/regroup.cpp.orig	2012-02-24 23:55:15.000000000 +0100
+++ ./templates/defaulttags/regroup.cpp	2012-02-24 23:55:15.000000000 +0100
@@ -22,7 +22,7 @@
 
 #include "../lib/exception.h"
 #include "parser.h"
-#include "util.h"
+#include "../lib/util.h"
 
 RegroupNodeFactory::RegroupNodeFactory()
 {
--- ./templates/defaulttags/spaceless.cpp.orig	2012-02-24 23:55:15.000000000 +0100
+++ ./templates/defaulttags/spaceless.cpp	2012-02-24 23:55:15.000000000 +0100
@@ -21,7 +21,7 @@
 #include "spaceless.h"
 
 #include "parser.h"
-#include "util.h"
+#include "../lib/util.h"
 
 SpacelessNodeFactory::SpacelessNodeFactory()
 {
--- ./templates/i18n/l10n_money.cpp.orig	2012-02-24 23:55:15.000000000 +0100
+++ ./templates/i18n/l10n_money.cpp	2012-02-24 23:55:15.000000000 +0100
@@ -25,7 +25,7 @@
 #include "template.h"
 #include "engine.h"
 #include "exception.h"
-#include "util.h"
+#include "../lib/util.h"
 
 L10nMoneyNodeFactory::L10nMoneyNodeFactory()
 {
--- ./templates/loadertags/block.cpp.orig	2012-02-24 23:55:15.000000000 +0100
+++ ./templates/loadertags/block.cpp	2012-02-24 23:55:15.000000000 +0100
@@ -25,7 +25,7 @@
 #include "parser.h"
 #include "rendercontext.h"
 #include "template.h"
-#include "util.h"
+#include "../lib/util.h"
 
 const char * __loadedBlocks = "__loadedBlocks";
 
--- ./templates/loadertags/extends.cpp.orig	2012-02-24 23:55:15.000000000 +0100
+++ ./templates/loadertags/extends.cpp	2012-02-24 23:55:16.000000000 +0100
@@ -28,7 +28,7 @@
 #include "parser.h"
 #include "rendercontext.h"
 #include "template.h"
-#include "util.h"
+#include "../lib/util.h"
 
 #include <QtCore/QListIterator>
 
--- ./templates/loadertags/include.cpp.orig	2012-02-24 23:55:16.000000000 +0100
+++ ./templates/loadertags/include.cpp	2012-02-24 23:55:16.000000000 +0100
@@ -24,7 +24,7 @@
 #include "exception.h"
 #include "parser.h"
 #include "template.h"
-#include "util.h"
+#include "../lib/util.h"
 
 #include <QtCore/QtPlugin>
 
--- ./templates/scriptabletags/scriptablefilter.cpp.orig	2012-02-24 23:55:16.000000000 +0100
+++ ./templates/scriptabletags/scriptablefilter.cpp	2012-02-24 23:55:16.000000000 +0100
@@ -21,7 +21,7 @@
 #include "scriptablefilter.h"
 #include "scriptablesafestring.h"
 
-#include "util.h"
+#include "../lib/util.h"
 
 #include <QtScript/QScriptEngine>
 
--- ./templates/scriptabletags/scriptablesafestring.cpp.orig	2012-02-24 23:55:16.000000000 +0100
+++ ./templates/scriptabletags/scriptablesafestring.cpp	2012-02-24 23:55:16.000000000 +0100
@@ -22,7 +22,7 @@
 
 #include <QtScript/QScriptEngine>
 
-#include "util.h"
+#include "../lib/util.h"
 
 QScriptValue markSafeFunction( QScriptContext *context,
                                QScriptEngine *engine )
--- ./templates/tests/testdefaulttags.cpp.orig	2012-02-24 23:55:16.000000000 +0100
+++ ./templates/tests/testdefaulttags.cpp	2012-02-24 23:55:16.000000000 +0100
@@ -27,7 +27,7 @@
 #include "template.h"
 #include "engine.h"
 #include "context.h"
-#include "util.h"
+#include "../lib/util.h"
 #include "grantlee_paths.h"
 #include "metatype.h"
 #include "coverageobject.h"
--- ./templates/tests/testinternationalization.cpp.orig	2012-02-24 23:55:16.000000000 +0100
+++ ./templates/tests/testinternationalization.cpp	2012-02-24 23:55:16.000000000 +0100
@@ -22,7 +22,7 @@
 #include "nulllocalizer_p.h"
 #include "engine.h"
 #include "grantlee_paths.h"
-#include "util.h"
+#include "../lib/util.h"
 
 #include <QtCore/QScopedPointer>
 #include <QtTest/QtTest>
--- grantlee-0.4.0/templates/scriptabletags/orig.scriptablefilterexpression.cpp	2015-08-19 22:07:02.000000000 +0200
+++ grantlee-0.4.0/templates/scriptabletags/scriptablefilterexpression.cpp	2015-08-19 22:08:46.000000000 +0200
@@ -25,7 +25,7 @@
 #include "parser.h"
 #include "scriptablecontext.h"
 #include "scriptablesafestring.h"
-#include "util.h"
+#include "../lib/util.h"
 
 using namespace Grantlee;
 
